# react-forceify

React wrapper for Forceify

## Installing

```bash
$ npm install react-forceify
# or
$ yarn add react-forceify
```

## CDN

```bash
# unpkg.com
https://unpkg.com/react-forceify

# npmcdn
https://npmcdn.com/react-forceify

# jsDelivr
https://cdn.jsdelivr.net/npm/react-forceify
```

### Usage

```javascript
import Forceify from 'react-forceify';
import React from 'react';
import ReactDOM from 'react-dom';

class MyApp extends React.Component {
    onForce = ({force}) => {
        console.log('Force level', force);
    }
    render () { 
        return (<Forceify onForce={this.onForce}>
        {'child elems'}
        </Forceify>)
    }
}

ReactDOM.render(<MyApp/>, myMountTarget);
```

## Compatibility

It's target is ES3 compatible-browsers, but it works best within following browser:

| Browser      | Supported Version   | Recommended Version   | Best Version   |
| ------------ | ------------------- | --------------------- | -------------- |
| IE           | >9                  | >10                   | >11            |
| Android      | >4.1.2              | >4.4                  | >5.1           |
| iOS          | >7                  | >9                    | >10            |
| macOS/OS X   | >9                  | >10                   | >10.12         |
| Firefox      | >15                 | > 35                  | >47            |

## License

MIT